TICKIT_TERM_INPUT_READABLE(3)

NAME
tickit_term_input_readable - read more data from the terminal

SYNOPSIS
    #include <tickit.h>

    void tickit_term_input_readable(TickitTerm *tt);

Link with -ltickit.

DESCRIPTION
tickit_term_input_readable() informs the terminal instance that more data is, or may be, available on the input file descriptor, and reads it. Calling this function may block if the underlying file descriptor is in blocking mode. It may result in TICKIT_EV_KEY or TICKIT_EV_MOUSE events being invoked.

This function also invokes deferred TICKIT_EV_RESIZE events if enabled by tickit_term_observe_sigwinch(3).

RETURN VALUE
tickit_term_input_readable() returns no value.

SEE ALSO
tickit_term_build(3), tickit_term_input_push_bytes(3), tickit_term_bind_event(3), tickit_term(7), tickit(7)